=== debian/changelog ===
ros-foxy-rosbag2-tests (0.3.11-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.10-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.9-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 03 Feb 2022 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.8-1focal) focal; urgency=high

  * Disable SIGTERM test on Windows in Foxy due to shutdown behavior in tests on that platform. (#818 <https://github.com/ros2/rosbag2/issues/818>)
  * Handle SIGTERM gracefully in recording (#809 <https://github.com/ros2/rosbag2/issues/809>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Jul 2021 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.7-1focal) focal; urgency=high

  * [foxy backport] Fix --topics flag for ros2 bag play being ignored for all bags after the first one (#619 <https://github.com/ros2/rosbag2/issues/619>) (#654 <https://github.com/ros2/rosbag2/issues/654>)
  * Contributors: Aleksandr Rozhdestvenskii

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 15 Feb 2021 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.6-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#551 <https://github.com/ros2/rosbag2/issues/551>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 05 Jan 2021 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 31 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.0-1focal) focal; urgency=high

  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.8-1focal) focal; urgency=high

  * Disable play_filters_by_topic test (#410 <https://github.com/ros2/rosbag2/issues/410>)
  * Contributors: Mabel Zhang

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.7-1focal) focal; urgency=high

  * Fix splitting tests on windows (#407 <https://github.com/ros2/rosbag2/issues/407>)
  * Fix #381 <https://github.com/ros2/rosbag2/issues/381> unstable play_end_to_end test (#396 <https://github.com/ros2/rosbag2/issues/396>)
  * Contributors: Karsten Knese, Mabel Zhang

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.6-1focal) focal; urgency=high

  * Correct usage of rcpputils::SharedLibrary loading. (#400 <https://github.com/ros2/rosbag2/issues/400>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.5-1focal) focal; urgency=high

  * Expose topic filter to command line (addresses #342 <https://github.com/ros2/rosbag2/issues/342>) (#363 <https://github.com/ros2/rosbag2/issues/363>)
  * Fix rosbag2_tests resource files and play_end_to_end test (#362 <https://github.com/ros2/rosbag2/issues/362>)
  * Replace poco dependency by rcutils (#322 <https://github.com/ros2/rosbag2/issues/322>)
  * resolve relative file paths (#345 <https://github.com/ros2/rosbag2/issues/345>)
  * Transaction based sqlite3 inserts (#225 <https://github.com/ros2/rosbag2/issues/225>)
  * Replace rcutils_get_file_size with rcpputils::fs::file_size (#291 <https://github.com/ros2/rosbag2/issues/291>)
  * [compression] Enable compression through ros2bag cli (#263 <https://github.com/ros2/rosbag2/issues/263>)
  * Wait for metadata to be written to disk (#283 <https://github.com/ros2/rosbag2/issues/283>)
  * Refactor record_fixture to use rcpputils::fs::path (#286 <https://github.com/ros2/rosbag2/issues/286>)
  * code style only: wrap after open parenthesis if not in one line (#280 <https://github.com/ros2/rosbag2/issues/280>)
  * Enhance E2E tests in Windows (#278 <https://github.com/ros2/rosbag2/issues/278>)
  * Add splitting e2e tests (#247 <https://github.com/ros2/rosbag2/issues/247>)
  * remove rosbag2 filesystem helper (#249 <https://github.com/ros2/rosbag2/issues/249>)
  * Make rosbag2 a metapackage (#241 <https://github.com/ros2/rosbag2/issues/241>)
  * [Compression - 7] Add compression metadata (#221 <https://github.com/ros2/rosbag2/issues/221>)
  * make ros tooling working group maintainer (#211 <https://github.com/ros2/rosbag2/issues/211>)
  * Contributors: Alejandro Hernández Cordero, Anas Abou Allaban, Dirk Thomas, Karsten Knese, Mabel Zhang, Sriram Raghunathan, Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.3-1focal) focal; urgency=high

  * Enhance rosbag writer capabilities to split bag files. (#185 <https://github.com/ros2/rosbag2/issues/185>)
  * Contributors: Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.2-1focal) focal; urgency=high

  * (API) Generate bagfile metadata in Writer (#184 <https://github.com/ros2/rosbag2/issues/184>)
  * Contributors: Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000


