=== debian/control ===
Source: ros-foxy-rosbag2-tests
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-index-cpp, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-rclcpp <!nocheck>, ros-foxy-rcpputils <!nocheck>, ros-foxy-ros2bag <!nocheck>, ros-foxy-rosbag2-compression <!nocheck>, ros-foxy-rosbag2-converter-default-plugins <!nocheck>, ros-foxy-rosbag2-cpp <!nocheck>, ros-foxy-rosbag2-storage <!nocheck>, ros-foxy-rosbag2-storage-default-plugins <!nocheck>, ros-foxy-rosbag2-test-common <!nocheck>, ros-foxy-std-msgs <!nocheck>, ros-foxy-test-msgs <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosbag2-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-index-cpp, ros-foxy-ros-workspace
Description: Tests package for rosbag2
